2 Replies Latest reply on Jul 4, 2006 7:04 AM by Zafer Orenlili

    JBossIDE-1.5.1.GA - xdoclet problem

    Zafer Orenlili Newbie

      I'm trying to use JBossIDE-1.5.1.GA and am having problems with xdoclet. When I enable or change project XDoclet configuration, XDoclet cannot create or update xml files (xdoclet-build.xml ...). I am using Windows XP and regional options Turkish. I changed regional options to English, XDoclet works fine. But I need Turkish settings.

      Message : Error while running XDoclet
      Exception Stack Trace :
      javax.xml.transform.TransformerConfigurationException: Could not compile stylesheet
      at com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFactoryImpl.newTemplates(TransformerFactoryImpl.java:824)
      at com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFactoryImpl.newTransformer(TransformerFactoryImpl.java:619)
      at org.jboss.ide.eclipse.xdoclet.run.XDocletRunPlugin.createBuildFile(XDocletRunPlugin.java:228)
      at org.jboss.ide.eclipse.xdoclet.run.ui.actions.XDocletRunAction$1.run(XDocletRunAction.java:170)
      at org.eclipse.core.internal.jobs.Worker.run(Worker.java:76)

      Session Data:
      eclipse.buildId=M20050929-0840
      java.version=1.5.0_07
      java.vendor=Sun Microsystems Inc.
      BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=tr_TR
      Command-line arguments: -data C:\java\JBossIDE-1.5.1.GA\work2 -os win32 -ws win32 -arch x86

      Thanks.

        • 1. Re: JBossIDE-1.5.1.GA - xdoclet problem
          Zafer Orenlili Newbie

          Same problem in JBossIDE-1.6.0.GA Run packaging command.
          Message: Error while running packaging
          Exception Stack Trace:
          javax.xml.transform.TransformerConfigurationException: Could not compile stylesheet
          at com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFactoryImpl.newTemplates(TransformerFactoryImpl.java:824)
          at com.sun.org.apache.xalan.internal.xsltc.trax.TransformerFactoryImpl.newTransformer(TransformerFactoryImpl.java:619)
          at org.jboss.ide.eclipse.packaging.core.PackagingCorePlugin.createBuildFile(PackagingCorePlugin.java:209)
          at org.jboss.ide.eclipse.packaging.ui.actions.PackagingRunAction$1.run(PackagingRunAction.java:170)
          at org.eclipse.core.internal.jobs.Worker.run(Worker.java:76)

          Session Data:
          eclipse.buildId=M20060118-1600
          java.version=1.5.0_07
          java.vendor=Sun Microsystems Inc.
          BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=tr_TR
          Command-line arguments: -os win32 -ws win32 -arch x86

          Same regional settings problem. English settings work fine, Turkish settings problem.

          • 2. Re: JBossIDE-1.5.1.GA - xdoclet problem
            Zafer Orenlili Newbie

            I found temporary solution, using j2re1.4.2_12 instead of jre1.5.0_07.

            C:\java\JBossIDE-1.6.0.GA\eclipse\eclipse.exe -vm "C:\Program Files\Java\j2re1.4.2_12\bin\javaw.exe"

            But why?